Subject: Re: copyright assignment
From: [email-masked] (Weiqi Gao)

23 May 1998 23:53:08 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Larry Meadows <[email-masked]>
Cc: [email-masked]

Larry Meadows wrote:
> 
> ----- Forwarded message from Geoffrey Noer -----
> [...]
> (http://www.cygnus.com/misc/gnu-win32).  Note that if your changes
> are more than a few lines, you will probably need to send in a
> copyright assignment form and a disclaimer from your employer.  (As
> you would have to do for a code contribution to the Free Software
> Foundation).
> [...]
> ----- End of forwarded message from Geoffrey Noer -----
> 
> That's very interesting, actually. The GPL says that if I distribute
> modified binaries, then I must also make the modified source code
> available. But you're saying that I also need to send a copyright
> assignment form and a disclaimer with this modified source code?
> 
> Doesn't seem quite right to me... by modifying the source code I
> already agreed that I had no copyright, by virtue of the GPL.

By modifying the source, you have agreed that your code will be GPLed. 
You still holds the copyright.  By assigning your copyright to Cygnus or
FSF, you assign your copyright to them.  The code will be GPLed either
way, only the copyright holder is different.

> I can see the desire for such a thing, but it seems to discourage
> people from contributing patches and seems unnecessary.

It is super cautious on the part of FSF and Cygnus.  But looking at the
recent Linux trademark disbutes, and the Netscape "Save As" patent
infrigement suites, I would say they are doing the right thing.

--
Weiqi Gao
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".